Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000400Core InformSource text and punctuationpublic2010-11-07 23:252011-01-10 11:15
ReporterRon Newcomb 
Assigned Tograham 
PrioritynormalSeveritycosmeticReproducibilityalways
StatusclosedResolutionfixed 
PlatformPPCOSMac OS XOS Version10.4
Product Version6F95 
Target VersionFixed in Version6G60 
Summary0000400: to say ¶ gives error message about what the IDE(?) expanded the pilcrow to
Description(I don't know if Mantis will show the ¶ pilcrow symbol, but...)

Problem. You wrote 'say "NEW YORK. 1832.[[unicode 182]]I had just..."' : but the text here contains one substitution '[...]' inside another, which is not allowed. (If you just wanted a literal open and closed square bracket, use '[bracket]' and '[close bracket]'.)


::big sad puppydog eyes::
Minimal Source Text To Reproduce
To say ¶: say line break.

When play begins, say "NEW YORK. 1832.[¶]I had just..."

there is a room.

TagsNo tags attached.
Effect(cosmetic) Error message is badly worded
Attached Files

- Relationships

-  Notes
(0000800)
Ron Newcomb (reporter)
2010-11-07 23:29

I suppose I could dress this up as something about Unicode and non-Anglophone alphabets or something. Um...

::huge, sad eyes::
(0000804)
jmcgrew (administrator)
2010-11-08 14:54

Section 5.10 of the manual suggests that the pilcrow character is not one of the characters that's allowed outside of quoted text (i.e. as the name of a phrase), so I believe the compiler is correctly rejecting this code but for the wrong reason.
(0000855)
graham (administrator)
2010-11-21 11:10

I have made the problem message vary its wording to be more helpful when this sort of thing is done.

- Issue History
Date Modified Username Field Change
2010-11-07 23:25 Ron Newcomb New Issue
2010-11-07 23:29 Ron Newcomb Note Added: 0000800
2010-11-08 14:54 jmcgrew Effect (serious) Compiler rejects valid code => (cosmetic) Error message is badly worded
2010-11-08 14:54 jmcgrew Note Added: 0000804
2010-11-08 14:54 jmcgrew Severity mild => cosmetic
2010-11-08 14:54 jmcgrew Status new => confirmed
2010-11-21 11:10 graham Note Added: 0000855
2010-11-21 11:10 graham Status confirmed => resolved
2010-11-21 11:10 graham Resolution open => fixed
2010-11-21 11:10 graham Assigned To => graham
2010-12-23 17:37 jmcgrew Fixed in Version => 6G60
2011-01-10 11:15 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker